### Method

# Ggit Repository create_blob

#### Declaration [src]

    GgitBlobOutputStream*
    ggit_repository_create_blob (
      GgitRepository* repository
    )

#### Description [src]

Create a new blob and return a `GOutputStream` to write contents to the blob. This is an efficient way to create new blobs without copying data. The blob id can be obtained from the blob output stream using

# ggit_blob_output_stream_get_id, after you close the stream.

#### Return value

Type: `GgitBlobOutputStream`

A `GgitBlobOutputStream`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.